/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __serviceapplication_H__
#define __serviceapplication_H__

#include <dlog.h>

// This value should be set to the ID of the Sync Manager application.
#define SYNC_ADAPTER_APP_ID "$(packageName)"

#define SELF_PORT   "service-port"
#define REMOTE_PORT "port"

enum {
    ON_DEMAND_JOB_DONE,
    PERIODIC_JOB_DONE,
    SYNC_JOB_NOW
};

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "serviceapplication"

#endif /* __serviceapplication_H__ */

